<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: KKLScoreEvaluateVIew类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_k_k_l_score_evaluate_v_iew.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> &#124;
<a href="#properties">属性</a> &#124;
<a href="interface_k_k_l_score_evaluate_v_iew-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">KKLScoreEvaluateVIew类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_k_k_l_score_evaluate_v_iew_8h_source.html">KKLScoreEvaluateVIew.h</a>&gt;</code></p>
<div class="dynheader">
类 KKLScoreEvaluateVIew 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_k_k_l_score_evaluate_v_iew.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:a4e41066e3982addf83d19c2e2affea7a"><td class="memItemLeft" align="right" valign="top">(instancetype)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_k_k_l_score_evaluate_v_iew.html#a4e41066e3982addf83d19c2e2affea7a">initWithFrame:numberOfStars:isVariable:</a></td></tr>
<tr class="separator:a4e41066e3982addf83d19c2e2affea7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae24c79085311df8d9e0bdc1d6732cc4c"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_k_k_l_score_evaluate_v_iew.html#ae24c79085311df8d9e0bdc1d6732cc4c">setDefaultScore:</a></td></tr>
<tr class="separator:ae24c79085311df8d9e0bdc1d6732cc4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:a0d356e4bf3a84671fde8c7026455a94b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_k_k_l_score_evaluate_v_iew.html#a0d356e4bf3a84671fde8c7026455a94b">fullScore</a></td></tr>
<tr class="separator:a0d356e4bf3a84671fde8c7026455a94b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8910cba291a0946f0c1c78cc5fe5af06"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_k_k_l_score_evaluate_v_iew.html#a8910cba291a0946f0c1c78cc5fe5af06">actualScore</a></td></tr>
<tr class="separator:a8910cba291a0946f0c1c78cc5fe5af06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca195195da7d47ea1e966f241a608d47"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_k_k_l_score_evaluate_v_iew.html#aca195195da7d47ea1e966f241a608d47">isContrainsHalfStar</a></td></tr>
<tr class="separator:aca195195da7d47ea1e966f241a608d47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa426e085de95163b528e70a1d1bb7b10"><td class="memItemLeft" align="right" valign="top">void(^&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_k_k_l_score_evaluate_v_iew.html#aa426e085de95163b528e70a1d1bb7b10">scoreBlock</a> )(int score)</td></tr>
<tr class="separator:aa426e085de95163b528e70a1d1bb7b10"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock">
<p class="definition">在文件 <a class="el" href="_k_k_l_score_evaluate_v_iew_8h_source.html">KKLScoreEvaluateVIew.h</a> 第 <a class="el" href="_k_k_l_score_evaluate_v_iew_8h_source.html#l00012">12</a> 行定义.</p>
</div><h2 class="groupheader">函数文档</h2>
<a id="a4e41066e3982addf83d19c2e2affea7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e41066e3982addf83d19c2e2affea7a">&#9670;&nbsp;</a></span>initWithFrame:numberOfStars:isVariable:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (instancetype) initWithFrame: </td>
          <td></td>
          <td class="paramtype">(CGRect)&#160;</td>
          <td class="paramname"><em>frame</em></td>
        </tr>
        <tr>
          <td class="paramkey">numberOfStars:</td>
          <td></td>
          <td class="paramtype">(NSInteger)&#160;</td>
          <td class="paramname"><em>numberOfStars</em></td>
        </tr>
        <tr>
          <td class="paramkey">isVariable:</td>
          <td></td>
          <td class="paramtype">(BOOL)&#160;</td>
          <td class="paramname"><em>isVariable</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_k_k_l_score_evaluate_v_iew_8m_source.html">KKLScoreEvaluateVIew.m</a> 第 <a class="el" href="_k_k_l_score_evaluate_v_iew_8m_source.html#l00020">20</a> 行定义.</p>

</div>
</div>
<a id="ae24c79085311df8d9e0bdc1d6732cc4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae24c79085311df8d9e0bdc1d6732cc4c">&#9670;&nbsp;</a></span>setDefaultScore:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setDefaultScore: </td>
          <td></td>
          <td class="paramtype">(int)&#160;</td>
          <td class="paramname"><em>score</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_k_k_l_score_evaluate_v_iew_8m_source.html">KKLScoreEvaluateVIew.m</a> 第 <a class="el" href="_k_k_l_score_evaluate_v_iew_8m_source.html#l00020">20</a> 行定义.</p>

</div>
</div>
<h2 class="groupheader">属性说明</h2>
<a id="a8910cba291a0946f0c1c78cc5fe5af06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8910cba291a0946f0c1c78cc5fe5af06">&#9670;&nbsp;</a></span>actualScore</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (int) actualScore</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_k_k_l_score_evaluate_v_iew_8h_source.html">KKLScoreEvaluateVIew.h</a> 第 <a class="el" href="_k_k_l_score_evaluate_v_iew_8h_source.html#l00014">14</a> 行定义.</p>

</div>
</div>
<a id="a0d356e4bf3a84671fde8c7026455a94b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d356e4bf3a84671fde8c7026455a94b">&#9670;&nbsp;</a></span>fullScore</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (int) fullScore</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_k_k_l_score_evaluate_v_iew_8h_source.html">KKLScoreEvaluateVIew.h</a> 第 <a class="el" href="_k_k_l_score_evaluate_v_iew_8h_source.html#l00013">13</a> 行定义.</p>

</div>
</div>
<a id="aca195195da7d47ea1e966f241a608d47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca195195da7d47ea1e966f241a608d47">&#9670;&nbsp;</a></span>isContrainsHalfStar</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) isContrainsHalfStar</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_k_k_l_score_evaluate_v_iew_8h_source.html">KKLScoreEvaluateVIew.h</a> 第 <a class="el" href="_k_k_l_score_evaluate_v_iew_8h_source.html#l00015">15</a> 行定义.</p>

</div>
</div>
<a id="aa426e085de95163b528e70a1d1bb7b10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa426e085de95163b528e70a1d1bb7b10">&#9670;&nbsp;</a></span>scoreBlock</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (void(^ scoreBlock) (int score))</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>XHXKit/Classes/ScoreView/<a class="el" href="_k_k_l_score_evaluate_v_iew_8h_source.html">KKLScoreEvaluateVIew.h</a></li>
<li>XHXKit/Classes/ScoreView/<a class="el" href="_k_k_l_score_evaluate_v_iew_8m_source.html">KKLScoreEvaluateVIew.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_k_k_l_score_evaluate_v_iew.html">KKLScoreEvaluateVIew</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
